#ifndef MAINFRM_H
#define MAINFRM_H

#include <QDialog>
#include <QProcess>
#include <QImage>
#include "ui_mainfrm.h"
#include "tetrahedron.h"

class mainfrm : public QDialog, public Ui::mainfrm
{
	Q_OBJECT
	public:
		mainfrm(QWidget *parent = 0);
		Tetrahedron *pntmygl;
		QString path_photos_import;
		QString table_photos[400][28];
		QColor table_color_fog[400];
		float table_models[6][12];
		QLabel *table_pnt_img[400];
		QString tmp_cpast[12];
		QString wpathprojet;
		QString outfilename;
		QString wglob_str_1;
		QString wg_cpu;
		QString wg_library;
		int nbre_photos;
		int current_diapo;
		int poursuite;
		int w_y;
		int w_x;
		int zik_number;
		int total_audio;
		QString table_zik[1][2];
		int must_redraw;
		int ispreview;
		int position_flux;
		QString wg_player;
		QPixmap wg_comment;
		QPixmap wg_diapositive;
		QPixmap gl_fond;
	private slots:
		void f_plane();
		void f_flag();
		void f_cube();
		void f_cancel_swap();
		void f_valid_swap();
		void f_swap();
		void f_path_library();
		void f_find_out();
		void f_launch_gimp();
		void f_end_mainfrm(int);
		void f_ajout_effet();
		void f_remove_effet();
		void f_cancel_extract();
		void f_find_video();
		void f_go_extract();
		void f_start_new();
		void f_preview_modifiee();
		void f_preview_originale();
		void f_change_color_fog();
		void f_changedur_2(int);
		void f_supp_comment();
		void f_model_changed(int);
		void f_aff_modele();
		void f_close_modele();
		void f_valide_modele();
		void f_preview();
		void f_save_param_manslide();
		void f_calcul_son();
		void f_close_param_import();
		void f_aff_m_zik();
		void f_aff_m_proj();
		void f_aff_m_img();
		void f_aff_m_param();
		void f_aff_m_export();
		void f_aff_m_3d();
		void f_open_comment();
		void f_close_effets();
		void f_aff_effects();
		void f_save_proj();
		void f_open_proj();
		void f_sync();
		void f_raz();
		void f_copy();
		void f_paste();
		void f_pos_leg(int);
		void f_police();
		void f_couleur();
		void f_chg_leg(QString);
		void f_chg_tool_a();
		void f_chg_tool_b();
		void f_chg_tool_c();
		void f_chg_tool_d();
		void f_chg_tool_e();
		void f_chg_tool_f();
		void f_durp_deb(int);
		void f_durp_end(int);
		void f_change_fond();
		void f_brouillard(int);
		void f_percent_blending(int);
		void f_percent_blending_2(int);
		void f_opacity(int);
		void md_fin();
		void md_start();
    		void start_play();
		void stop_play();
		void load_photo();
		void supp_diapo();
		void affichage_diapo();
		void f_hmirror();
		void f_vmirror();
		void f_pcontraste();
		void f_mcontraste();
		void f_sepia();
		void f_negate();
		void f_blur();
		void f_sharpen();
		void f_edge();
		void f_emboss();
		void f_paint();
		void f_gris();
		void f_rneg();
		void f_rpos();
		void f_fade();
		void end_process(int, QProcess::ExitStatus);
		void end_encoding(int, QProcess::ExitStatus);
		void end_convert_video(int, QProcess::ExitStatus);
		void f_generer_diapo();
		void f_changedur(int valeur);
		void f_render();
		void lecture_console_encoding();
		void lecture_convert_video();
		bool eventFilter(QObject *o, QEvent *e);
		void f_scroll_timeline(int valeur);
		void f_transition_changed(int myindex);
		void f_transition_duree_changed(int);
		void lecture_console_magick();
		void f_screenshot();
		void f_affiche_parametres();
		void f_dep_gauche();
		void f_dep_droite();
		void keyPressEvent( QKeyEvent *k );
		void f_apply_effets(int state);
		void f_add_zik();
		void lecture_console_import_zik();
		void end_zik_import(int, QProcess::ExitStatus);
		void fin_fin_encoding();
		void f_sup_zik();
		void end_encoding_audio(int, QProcess::ExitStatus);
		void end_extract_video(int, QProcess::ExitStatus);
		void lecture_console_out_audio_encoding();
		void lecture_extract_video();
		void end_all_audio(int, QProcess::ExitStatus);
		void end_save_project(int, QProcess::ExitStatus);
		void sl_go_start();
		void sl_go_end();
	private:
		QProcess myprocess_1;
		QProcess myprocess_2;
		QProcess myprocess_3;
		QProcess myprocess_4;
		QProcess myprocess_5;
		QProcess myprocess_6;
		QProcess myprocess_7;
		QProcess myprocess_8;
		QProcess myprocess_9;
};
#endif
